Bug 1017947 - Incorrect SEARCH_DIR for ld -m elf_i386
Incorrect SEARCH_DIR for ld -m elf_i386
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
: 922556 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 16:21 EDT by H.J. Lu
Modified: 2015-02-17 12:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:36:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 16456 None None None Never

  None (edit)
Description H.J. Lu 2013-10-10 16:21:21 EDT
On x86-64, I got

[hjl@gnu-atom-1 tmp]$ ld --verbose -m elf_i386 GNU ld version 2.23.52.0.1-9.fc19 20130226
  Supported emulations:
   elf_x86_64
   elf32_x86_64
   elf_i386
   i386linux
   elf_l1om
   elf_k1om
using internal linker script:
==================================================
/* Script for -z combreloc: combine and sort reloc sections */
OUTPUT_FORMAT("elf32-i386", "elf32-i386",
	      "elf32-i386")
OUTPUT_ARCH(i386)
ENTRY(_start)
SEARCH_DIR("/usr/x86_64-redhat-linux/lib32"); SEARCH_DIR("/usr/i386-redhat-linux/lib32"); SEARCH_DIR("/usr/lib6432"); SEARCH_DIR("/usr/local/lib32"); SEARCH_DIR("/lib32"); SEARCH_DIR("/usr/lib32"); SEARCH_DIR("/usr/i386-redhat-linux/lib"); SEARCH_DIR("/usr/lib64"); SEARCH_DIR("/usr/local/lib"); SEARCH_DIR("/lib"); SEARCH_DIR("/usr/lib");

/usr/lib64 is correct for -m elf_i386.  When I install my own 32bit GCC, I
got:

[hjl@gnu-atom-1 tmp]$ /export/build/gnu/gcc-32bit-4.7/release.original/usr/gcc-4.7.4/bin/gcc x.o 
/usr/bin/ld: skipping incompatible /usr/lib64/libc.so when searching for -lc
[hjl@gnu-atom-1 tmp]$
Comment 1 H.J. Lu 2013-10-10 17:23:19 EDT
It is caused by --libdir=/usr/lib64 used in ld configure and
genscripts.sh treats /usr/lib64 as the default search directory.
Comment 2 daniel.c.klauer 2014-01-09 15:38:00 EST
I think this is related to or duplicate of bug 922556.
Comment 3 H.J. Lu 2014-01-15 15:30:54 EST
*** Bug 922556 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2015-01-09 15:12:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:36:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.